# frozen_string_literal: true
# encoding: UTF-8

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'product-aggregator/version'

Gem::Specification.new do |s|
  s.name        = 'product-aggregator-rb'
  s.version     = ProductAggregator::VERSION
  s.authors     = ['bukalapak']
  s.email       = ['product@bukalapak.com']
  s.homepage    = 'https://gitlab.cloud.bukalapak.io/bukalapak/product-aggregator-rb'
  s.summary     = 'Product Aggregator ruby client'
  s.license     = 'MIT'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- spec/*`.split("\n")
  s.require_paths = ['lib']

  s.add_runtime_dependency 'faraday'
  s.add_runtime_dependency 'faraday_middleware-circuit_breaker'
  s.add_runtime_dependency 'net-http-persistent'
  s.add_runtime_dependency 'json'

  s.add_development_dependency 'bundler', '~> 2.0.2'
  s.add_development_dependency 'rake', '~> 10.0'
  s.add_development_dependency 'simplecov', '>= 0.16.1'
  s.add_development_dependency 'dotenv', '>= 2.4.0'
  s.add_development_dependency 'rspec', '~> 3.0'
  s.add_development_dependency 'webmock'
  s.add_development_dependency 'rspec_junit_formatter'
  s.add_development_dependency 'rubocop'
  s.add_development_dependency 'codecov'

  s.required_ruby_version = '>= 2.3.0'
end
